function CheckClear(ObjX, ObjY, ObjW, ObjH, ColX, ColY, ColX2, ColY2)
	if (ObjX + ObjW > ColX) and (ObjX < ColX2) and (ObjY + ObjH > ColY) and (ObjY < ColY2) then
		return true
	else
		return false
	end
end
	
function getAimAngle()
	PLAYER.ROTATION = math.atan2(CURSOR.Y - (PLAYER.Y * 32), CURSOR.X - (PLAYER.X * 32)) * (180/math.pi) + 90 + 180
end


function playSteps()
	love.audio.play(Steps_SND)
end


--PLAYER.X = X Position of the player
--MOVE_SPEED is, obviously, the speed he moves at.
--The player's position is stored in tile size, well the collisions are in pixels, so I multiply by the tile size. (32x32)
-- -16 and -11 are the offsets I choze for rotation
function MoveLeft()
	Move = true
	for a = 1, #COLLISION do
		if CheckClear((PLAYER.X - MOVE_SPEED * DELTA) * 32 - 16, PLAYER.Y * 32 - 11, 26, 26, COLLISION[a][1] - 32, COLLISION[a][2] - 32, COLLISION[a][3] - 32, COLLISION[a][4] - 32) then
			Move = false
		end
	end
	
	--If not against wall:
	if (PLAYER.X - MOVE_SPEED * DELTA) * 32 - 16 < 32 then
		Move = false
	end
	
	if Move then
		PLAYER.X = PLAYER.X - MOVE_SPEED * DELTA
	end
	
	return Move
end
		
		
function MoveRight()
	Move = true
	for a = 1, #COLLISION do
		if CheckClear((PLAYER.X + MOVE_SPEED * DELTA) * 32 - 16, PLAYER.Y * 32 - 11, 26, 26, COLLISION[a][1] - 32, COLLISION[a][2] - 32, COLLISION[a][3] - 32, COLLISION[a][4] - 32) then
			Move = false
		end
	end
	
	--If not against wall:
	if (PLAYER.X + MOVE_SPEED * DELTA) * 32 - 16 > #MAP[1] * 32 - 64 then
		Move = false
	end
	
	if Move then
		PLAYER.X = PLAYER.X + MOVE_SPEED * DELTA
	end
	
	return Move
end

function MoveUp()
	Move = true
	for a = 1, #COLLISION do
		if CheckClear(PLAYER.X * 32 - 16, (PLAYER.Y - MOVE_SPEED * DELTA) * 32 - 11, 26, 26, COLLISION[a][1] - 32, COLLISION[a][2] - 32, COLLISION[a][3] - 32, COLLISION[a][4] - 32) then
			Move = false
		end
	end
	
	--If not against wall:
	if (PLAYER.Y - MOVE_SPEED * DELTA) * 32 - 16 < 32 then
		Move = false
	end
	
	if Move then
		PLAYER.Y = PLAYER.Y - MOVE_SPEED * DELTA
	end
	
	return Move
end

function MoveDown()
	Move = true
	for a = 1, #COLLISION do
		if CheckClear(PLAYER.X * 32 - 16, (PLAYER.Y + MOVE_SPEED * DELTA) * 32 - 11, 26, 26, COLLISION[a][1] - 32, COLLISION[a][2] - 32, COLLISION[a][3] - 32, COLLISION[a][4] - 32) then
			Move = false
		end
	end
	
	--If not against wall:
	if (PLAYER.Y + MOVE_SPEED * DELTA) * 32 - 16 > #MAP * 32 - 64 then
		Move = false
	end
	
	if Move then
		PLAYER.Y = PLAYER.Y + MOVE_SPEED * DELTA
	end
	
	return Move
end